> For the complete documentation index, see [llms.txt](https://docs.super-forms.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.super-forms.com/developers/code-examples/tracking-multi-part-steps-with-google-analytics.md).

# Tracking Multi-part steps with Google Analytics

```javascript
(function(){
  function hashChanged(storedHash){
    // @@ EDIT BELOW VARIABLES @@
    var library = 'gtag.js'; // Google Tag Manager (gtag.js)
    //var library = 'analytics.js'; // Universal analytics (analytics.js)
    //var library = 'ga.js'; // Legacy analytics (ga.js)
    var UA = 'UA-XXXXX-X'; // Required when using ga.js or analytics.js
    // @@ STOP EDITING @@

    // If has contains step
    if(storedHash.indexOf('#step-')===-1){
        // When no hash starting with `#step-` was found we cancel
        return;
    }
    
    // Grab the current page including current multi-part step from the URL
    var path = location.pathname + location.search + location.hash;
    if(library==='gtag.js'){
      if(typeof gtag === 'undefined') return;
      gtag('event', 'page_view', {
          page_title: document.title, // e.g: `Page title`
          page_location: location.href, // e.g: `https://domain.com/page`
          page_path: path // e.g: `https://domain.com/page/#step-12345-2` (Form ID 12345 and currently at step 2)
      });
      return;
    }
    if(library==='analytics.js'){
      if(typeof ga === 'undefined') return;
      ga('send', {
        hitType: 'pageview',
        page: path
      });
      return;
    }
    if(library==='ga.js'){
      if(typeof _gaq === 'undefined') return;
      // New asynchronous tracking code:
      _gaq.push(['_setAccount', UA]);
      _gaq.push(['_trackPageview', path])
      return;
    }
  };
  // Google Analytics track multi-part
  if("onhashchange" in window) { // event supported?
    window.onhashchange = function () {
      hashChanged(window.location.hash);
    }
  } else { // event not supported:
    var storedHash = window.location.hash;
    window.setInterval(function () {
      if (window.location.hash != storedHash) {
        storedHash = window.location.hash;
        hashChanged(storedHash);
      }
    }, 100);
  }
})();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.super-forms.com/developers/code-examples/tracking-multi-part-steps-with-google-analytics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
